"use strict";

exports.__esModule = true;
exports.isCallback = isCallback;
exports.isOptions = isOptions;
exports.isSerializableMap = isSerializableMap;
exports.isDependencies = void 0;

function isCallback(x) {
  return x && typeof x === 'function';
}

function isOptions(x) {
  return x && typeof x === 'object' && !(x instanceof Array);
}

function isSerializableMap(x) {
  return x && typeof x === 'object' && !(x instanceof Array);
}

var isDependencies = function isDependencies(x) {
  return x && x instanceof Array;
};

exports.isDependencies = isDependencies;
//# sourceMappingURL=generic.js.map