import { SerializableMap } from 'resolve-core';
export declare type HookExecutor<TData extends any[], TResult> = (...data: TData) => Promise<TResult> | void;
export declare function isCallback<T>(x: any): x is T;
export declare function isOptions<T>(x: any): x is T;
export declare function isSerializableMap(x: any): x is SerializableMap;
export declare const isDependencies: (x: any) => x is any[];
