import { CommandCallback, CommandOptions, Command } from 'resolve-client';
import { CommandBuilder, CommandExecutor } from './use-command';
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>): CommandExecutor<TArgs>;
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>, callback: CommandCallback<TCmd>): CommandExecutor<TArgs>;
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>, options: CommandOptions): CommandExecutor<TArgs>;
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>, dependencies: any[]): CommandExecutor<TArgs>;
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>, callback: CommandCallback<TCmd>, dependencies: any[]): CommandExecutor<TArgs>;
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>, options: CommandOptions, callback: CommandCallback<TCmd>): CommandExecutor<TArgs>;
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>, options: CommandOptions, dependencies: any[]): CommandExecutor<TArgs>;
declare function useCommandBuilder<TArgs extends any[], TCmd extends Command>(builder: CommandBuilder<TArgs, TCmd>, options: CommandOptions, callback: CommandCallback<TCmd>, dependencies: any[]): CommandExecutor<TArgs>;
export { useCommandBuilder };
