import { Command, CommandResult, CommandOptions, CommandCallback } from 'resolve-client';
import { HookExecutor } from './generic';
declare type CommandExecutor = HookExecutor<void, CommandResult>;
declare function useCommand(command: Command): CommandExecutor;
declare function useCommand(command: Command, options: CommandOptions): CommandExecutor;
declare function useCommand(command: Command, callback: CommandCallback): CommandExecutor;
declare function useCommand(command: Command, dependencies: any[]): CommandExecutor;
declare function useCommand(command: Command, callback: CommandCallback, dependencies: any[]): CommandExecutor;
declare function useCommand(command: Command, options: CommandOptions, callback: CommandCallback): CommandExecutor;
declare function useCommand(command: Command, options: CommandOptions, dependencies: any[]): CommandExecutor;
declare function useCommand(command: Command, options: CommandOptions, callback: CommandCallback, dependencies: any[]): CommandExecutor;
export { useCommand };
