"use strict";

exports.__esModule = true;
exports.useClient = void 0;

var _react = require("react");

var _resolveClient = require("resolve-client");

var _context = require("./context");

var useClient = function useClient() {
  var context = (0, _react.useContext)(_context.ResolveContext);
  (0, _context.assertContext)(context);
  return (0, _react.useMemo)(function () {
    return (0, _resolveClient.getClient)(context);
  }, [context]);
};

exports.useClient = useClient;
//# sourceMappingURL=use-client.js.map