import { QueryOptions, QueryCallback, Query } from 'resolve-client';
import { QueryBuilder, QueryExecutor } from './use-query';
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>): QueryExecutor<TArgs>;
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>, options: QueryOptions): QueryExecutor<TArgs>;
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>, callback: QueryCallback<TQuery>): QueryExecutor<TArgs>;
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>, dependencies: any[]): QueryExecutor<TArgs>;
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>, callback: QueryCallback<TQuery>, dependencies: any[]): QueryExecutor<TArgs>;
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>, options: QueryOptions, callback: QueryCallback<TQuery>): QueryExecutor<TArgs>;
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>, options: QueryOptions, dependencies: any[]): QueryExecutor<TArgs>;
declare function useQueryBuilder<TArgs extends any[], TQuery extends Query>(builder: QueryBuilder<TArgs, TQuery>, options: QueryOptions, callback: QueryCallback<TQuery>, dependencies: any[]): QueryExecutor<TArgs>;
export { useQueryBuilder };
