import { Query, QueryOptions, QueryResult, QueryCallback } from 'resolve-client';
import { HookExecutor } from './generic';
declare type QueryExecutor = HookExecutor<void, QueryResult>;
declare function useQuery(query: Query): QueryExecutor;
declare function useQuery(query: Query, options: QueryOptions): QueryExecutor;
declare function useQuery(query: Query, callback: QueryCallback): QueryExecutor;
declare function useQuery(query: Query, dependencies: any[]): QueryExecutor;
declare function useQuery(query: Query, callback: QueryCallback, dependencies: any[]): QueryExecutor;
declare function useQuery(query: Query, options: QueryOptions, callback: QueryCallback): QueryExecutor;
declare function useQuery(query: Query, options: QueryOptions, dependencies: any[]): QueryExecutor;
declare function useQuery(query: Query, options: QueryOptions, callback: QueryCallback, dependencies: any[]): QueryExecutor;
export { useQuery };
